--- playdv/oss.c.orig	Fri Apr 27 04:08:47 2001
+++ playdv/oss.c	Sat Aug 18 01:48:46 2001
@@ -32,7 +32,13 @@
 #include <sys/types.h>
 #include <sys/stat.h>
 #include <fcntl.h>
+#if defined(__FreeBSD__)
+#include <machine/soundcard.h>
+#define O_LARGEFILE		0
+#define AFMT_S16_NE		AFMT_S16_LE
+#else
 #include <sys/soundcard.h>
+#endif
 
 #include "oss.h"
 
